Name:           gpars
Version:        1.2.1
Release:        %mkrel 8
Group:          Development/Java
Summary:        Groovy Parallel Systems
License:        ASL 2.0 and Public Domain
URL:            http://gpars.codehaus.org
BuildArch:      noarch

# ./generate-tarball.sh %{version}
Source0:        %{name}-%{version}.tar.bz2
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
Source2:        generate-tarball.sh

Patch0:         0001-JSR-166.patch
Patch1:         0002-Enable-XMvn-local-mode.patch
Patch2:         0001-Port-build-script-to-current-gradle.patch
Patch3:         gpars-1.2.1-port-to-netty-3.10.6.patch

BuildRequires:  gradle-local >= 2.1-0.10
BuildRequires:  apache-parent
BuildRequires:  extra166y
BuildRequires:  jcsp
BuildRequires:  netty3
BuildRequires:  groovy-lib
BuildRequires:  multiverse

%description
The GPars framework offers Java developers intuitive and safe ways to
handle Java or Groovy tasks concurrently. Leveraging the enormous
flexibility of the Groovy programming language and building on proven
Java technologies, we aim to make concurrent programming for
multi-core hardware intuitive, robust and enjoyable.

GPars is a multi-paradigm concurrency framework, offering several
mutually cooperating high-level concurrency abstractions, such as
Dataflow operators, Promises, CSP, Actors, Asynchronous Functions,
Agents and Parallel Collections.

%prep
%setup -q
cp %{SOURCE1} .
rm -rf lib/ gradle/wrapper/
rm -rf src/main/groovy/groovyx/gpars/extra166y/
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%gradle_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE-2.0.txt



%changelog
* Sat Jun 10 2017 daviddavid <daviddavid> 1.2.1-8.mga6
+ Revision: 1107436
- build fix for netty 3.10.6.Final

* Fri May 19 2017 neoclust <neoclust> 1.2.1-7.mga6
+ Revision: 1103175
- Rebuild against new gradle

* Wed Mar 02 2016 neoclust <neoclust> 1.2.1-6.mga6
+ Revision: 983301
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.2.1-5.mga6
+ Revision: 976244
- First rebuild of the java stack
- sync package gpars with fedora
- imported package gpars

